<?php

// Tento soubor data.php je nutné upravit před instalací aplikace Missae.

// Název serveru, přístupové údaje k databázi a k odesílacímu poštovnímu serveru jsou zde uvedeny dvakrát:
//    1. pro zkušební instalaci na vašem domácím počítači (localhost)
//    2. pro provozní instalaci na webu farnosti.
// Potřebná verze se vybere na základě adresy serveru $_SERVER['HTTP_HOST']
// Díky tomu může být soubor data.php pro obě instalace totožný.

if (($_SERVER['HTTP_HOST']=='localhost')
 || ($_SERVER['HTTP_HOST']=='127.0.0.1')
 || (substr($_SERVER['HTTP_HOST'],0,7)=='192.168'))
{
$Home="localhost"; // Adresa domácího serveru po kliknutí na logo
$NazevServeru="localhost"; // Adresa webových stránek farnosti běžících na domácím počítači
$Folder="bohosluzby"; // Adresář webu, ve kterém běží aplikace, např. "bohosluzby" nebo "missae".
$KontoAdm="admin"; // Počáteční jméno a heslo administrátora webu, které se zakládá automaticky při instalaci (spuštěním instaluj.php).
$HesloAdm="ProvizorniHesloAdmina";
$ExpiraceMinut=180; // Po kolika minutách od přihlášení má být uživatel automaticky odhlášen.

 // Údaje pro připojení k databázi MySQL na domácím počítači:
$ServerDb="localhost";   // Název serveru MySQL.
$NazevDb="bohosluzby";   // Jméno databáze vytvořené ručně v MySQL, např. "bohosluzby" nebo "missae"
$KontoDb="bohosluzby";   // Účet, kterým se skripty hlásí do MySQL, obvykle shodný s názvem databáze.
$HesloDb="HesloDoMySQL"; // Heslo zadané při založení účtu $KontoDb

// Účet emailové schránky a SMTP serveru pro odesílání vzkazů na domácím počítači:
$ServerSMTP="smtp.seznam.cz"; // Server pro odesílání mailů z aplikace.
$KontoSMTP="bohosluzby.mojefarnost@seznam.cz";  // Uživatelské jméno pro přihlášení k mailu.
$HesloSMTP="HesloDoMailu";  // Heslo pro přístup ke schránce.
$FromSMTP="bohosluzby.mojefarnost@seznam.cz";   // Emailová adresa, která bude u vzkazů použita jako 'Odesilatel'.

} else {// Přístupové údaje pro ostrý provozní server, na kterém běží web farnosti.

$Home="www.moje_farnost.cz"; // Server farnosti po kliknutí na logo
$NazevServeru="www.moje_farnost.cz"; // Adresa (DNS jméno) webových stránek farnosti.
$Folder="bohosluzby"; // Adresář serveru, ve kterém běží aplikace, např. "bohosluzby" nebo "missae".
$KontoAdm="admin"; // Počáteční jméno a heslo administrátora webu, které se zakládá automaticky při instalaci (spuštěním instaluj.php).
$HesloAdm="ProvizorniHesloAdmina";
$ExpiraceMinut=60; // Po kolika minutách od přihlášení má být uživatel automaticky odhlášen.

 // Údaje pro připojení k databázi MySQL na webu farnosti:
$ServerDb="";   // Název serveru MySQL, např. "mysql" nebo "mysql.moje_farnost.cz".
$NazevDb="";   // Jméno databáze vytvořené ručně v MySQL, např. "bohosluzby_moje_farnost_cz" nebo "missae"
$KontoDb="";   // Účet, kterým se skripty hlásí do MySQL, např. "bohosluzby.moje_farnost.cz" nebo "missae"
$HesloDb=""; // Heslo zadané při založení účtu $KontoDb

// Účet emailové schránky a SMTP serveru pro odesílání vzkazů z webu farnosti:
$ServerSMTP="smtp.seznam.cz"; // Server pro odesílání mailů z aplikace.
$KontoSMTP="bohosluzby.mojefarnost@seznam.cz";  // Uživatelské jméno pro přihlášení k mailu.
$HesloSMTP="HesloDoMailu";  // Heslo pro přístup ke schránce.
$FromSMTP="bohosluzby.mojefarnost@seznam.cz";   // Emailová adresa, která bude u vzkazů použita jako 'Odesilatel'.
}


// Definice míst konání bohoslužeb. Každé místo obsahuje tři čárkou oddělené údaje v uvozovkách:
// 1. Zobrazovaný název místa
// 2. Titulek zobrazovaný v bublině při zastavení kurzoru myši nad názvem místa
// 3. URL detailního popisu místa (může být prázdné)
$loci=array();
$loci[0]=array("&nbsp;","Místo konání neurčeno, viz popis bohoslužby","");
$loci[1]=array("Katedrála","Chrám sv. Víta","http://cs.wikipedia.org/wiki/Katedr%C3%A1la_svat%C3%A9ho_V%C3%ADta,_V%C3%A1clava_a_Vojt%C4%9Bcha");
$loci[2]=array("Petrov","Chrám sv.Petra a Pavla","http://cs.wikipedia.org/wiki/Katedr%C3%A1la_svat%C3%A9ho_Petra_a_Pavla");
$loci[3]=array("Kostel","Farní kostel","");
$loci[4]=array("Fara","Kaple na farním úřadě","");
$loci[5]=array("Nemocnice","Místní nemocnice","");
$loci[6]=array("LDN","Léčebna dlouhodobě nemocných","");
$loci[7]=array("Domov důchodců","","");
// Přednastavené hodnoty při založení nové bohoslužby (nejobvyklejší místo a čas konání)
$locus=3; // default místa konání při založení nové bohoslužby (index pole $loci)
$hora="1800" ;  // default při založení nové bohoslužby (HodinMinut)


// Definice druhů bohoslužeb. Každý druh obsahuje tři čárkou oddělené údaje v uvozovkách:
// 1. Zobrazovaný název bohoslužby/obřadu
// 2. Titulek zobrazovaný v bublině po zaparkování kurzoru
// 3. URL detailního popisu obřadu (nepovinné)
$ritui[0]=array("Žádná bohoslužba","V tomto dni se žádná bohoslužba nekoná","");
$ritui[1]=array("Mše sv.","Mše svatá - bohoslužba oběti","http://www.krasaliturgie.cz/texty-ke-msi-svate/mesni-rad-latinsko-cesky.html");
$ritui[2]=array("Křest","Křestní obřad","http://www.krasaliturgie.cz/otazky-a-odpovedi/krestni-obrady-v-tradicnim-rimskem-ritu.html");
$ritui[3]=array("Svatba","Svatební obřad","http://www.krasaliturgie.cz/otazky-a-odpovedi/svatebni-obrady-v-tradicnim-rimskem-ritu.html");
$ritui[4]=array("Pohřeb","Pohřební obřad","http://www.liturgie.cz/pohreb/pohrebni-liturgie-krok-za-krokem/");
$ritui[5]=array("Roráty","Adventní pobožnost","http://cs.wikipedia.org/wiki/Ror%C3%A1ty");
$ritui[6]=array("Křížová cesta","Pobožnost křížové cesty","http://cs.wikipedia.org/wiki/K%C5%99%C3%AD%C5%BEov%C3%A1_cesta");
$ritui[7]=array("Májová","Májová pobožnost","http://cs.wikipedia.org/wiki/M%C3%A1jov%C3%A1_pobo%C5%BEnost");
$ritui[8]=array("Růženec","Růžencová pobožnost","http://cs.wikipedia.org/wiki/R%C5%AF%C5%BEenec");
$ritui[9]=array("Adorace","Adorace, požehnání","http://cs.wikipedia.org/wiki/Eucharistick%C3%A1_adorace");
$ritui[10]=array("Večeřadlo","Modlitební mariánské večeřadlo","http://www.cm-fatima.cz/fatimsky-apostolat/fatimske-veceradlo");
$ritui[11]=array("Pomazání nem.","Pomazání nemocných","http://www.liturgie.cz/pomazani-nemocnych/pomazani-nemocnych-krok-za-krokem/");
$ritui[12]=array("Bohosl.slova","Bohoslužba slova (bez obětování)","http://www.sdh.cz/sdh_htm/archiv/igmr-kom4.htm");
$ritui[13]=array("Pouť","Pouť, zájezd nebo procesí","http://cs.wikipedia.org/wiki/Liturgick%C3%BD_pr%C5%AFvod");
$ritui[14]=array("Zpověď","Příležitost ke svátosti smíření","http://www.fatym.com/view.php?cisloclanku=2009120033");
$ritui[15]=array("Koncert","Kulturní akce, koncert, inscenace","");
$ritui[16]=array("Náboženství","Katecheze, výuka náboženství, biblická hodina apod.","");
$ritus=1;  // default při založení nové bohoslužby (nejčastěji používaný druh)
// V případě rozšíření pole 'ritui' o další druh bohoslužby
// by měla být zároveň vyrobena jeho ikona o rozměrech 48x48 ve formátu GIF
//  nazvaná "ritusX.gif", kde X je index pole $ritui.


// Definice ordinarií. Obsahuje dva čárkou oddělené údaje v uvozovkách:
// 1. Zobrazované číslo ordinaria
// 2. Plný název ordinaria zobrazovaný v bublině při zastavení kurzoru myši nad jeho číslem
$ordinarii[0]=array("","neurčeno");
$ordinarii[1]=array("502","502 - Olejník");
$ordinarii[2]=array("503","503 - Bříza");
$ordinarii[3]=array("504","504 - Eben");
$ordinarii[4]=array("505","505 - Pololáník");
$ordinarii[5]=array("509","509 - chorál, lat.");
$ordinarii[6]=array("514","514 - ČK 1921");
$ordinarii[7]=array("schola","Zpívané ordinarium");
$ordinarii[8]=array("Ryba","Rybova vánoční mše");
$ordinarium=0 ;  // default při založení nové bohoslužby, index nejčastěji používaného ordinaria.
?>
