<?php
include "data.php";
include "funkce.php";
ZobrazHlavu("Instalace databáze");
echo "<h1>Instalace databáze na $NazevServeru</h1>
<p>Internetová aplikace <em>Missae</em> používá k ukládání údajů databázi MySQL.
Poskytovatel webhostingových služeb by vám měl sdělit potřebné údaje, a sice
název databázového serveru, TCP port (zpravidla 3306), přihlašovací jméno a heslo.
Tyto údaje zapište do souboru <code>data.php</code>.</p>
<p>Pomocí phpMyAdmin nebo obdobné utility se připojte ke správě MySQL
na serveru <b>$ServerDb</b> a volbou oprávnění (Privileges) přidejte databázového uživatele 
se jménem <b>$KontoDb</b> a s heslem specifikovaným v souboru <code>data.php</code>.
Zároveň nechejte vytvořit databázi se stejným jménem <b>$NazevDb</b>.
Uživatel <b>$KontoDb</b> musí mít k databázi <b>$NazevDb</b> povolena oprávnění
CREATE, ALTER, INDEX, DROP.    
Tabulky v této databázi nevytvářejte, budou za chvíli vygenerovány automaticky.</p>";
flush();sleep(5);
echo "<h3>Kontrola dostupnosti databáze</h3>";
flush();sleep(1);
$db=PripojDb($ServerDb,$KontoDb,$HesloDb,$NazevDb,false);
if ($db) echo "<p>Databáze je dostupná.</p>";
else {ZobrazPatu(); exit();}

echo "<h3>Vytváření tabulek v databázi</h3>";
flush();sleep(1);

echo "<h3>Vytváření tabulky osob 'homo'</h3>";
flush();sleep(1);
$sql="CREATE TABLE `homo` (
`hid`   VARCHAR(16) NOT NULL COMMENT 'Iniciály-identifikátor osoby',
`nomen` VARCHAR(255) COMMENT 'Jméno uživatele',
`email` VARCHAR(255) COMMENT 'Email uživatele',
`mobil` VARCHAR(255) COMMENT 'Telefonní číslo uživatele',
`hash`  CHAR(32) COMMENT 'Hash hesla uživatele',
`sid`   CHAR(32) COMMENT 'Identifikátor relace',
`IP`     VARCHAR(16) COMMENT 'IP adresa relace',
`tempus` INT COMMENT 'Čas expirace relace',
`permRit` TINYINT NOT NULL COMMENT 'Oprávnění měnit bohosluzby+imago',
`permLec` TINYINT NOT NULL COMMENT 'Oprávnění měnit lectio+lector',
`permMus` TINYINT NOT NULL COMMENT 'Oprávnění měnit ordinarium+carmen+organum',
`permHom` TINYINT NOT NULL COMMENT 'Oprávnění měnit homo',
PRIMARY KEY (`hid`)
) COMMENT 'Seznam osob oprávněných měnit bohoslužby', ENGINE = myisam;";
mysqli_query($db,$sql); if (ChybaDb($db,$sql)) ZobrazChyby();
else echo "<br/>Tabulka <b>homo</b> byla vytvořena.";

echo "<h3>Vytvoření provizorního účtu administrátora</h3>";
$sql="INSERT INTO `homo`
(hid,nomen,hash,permRit,permLec,permMus,permHom)
VALUES ('$KontoAdm','Instalující administrátor webu','".
MD5($KontoAdm.str_replace($Characters["Unsafe"],$Characters["Safe"],trim($HesloAdm)))."',1,1,1,1);";
mysqli_query($db,$sql);if (ChybaDb($db,$sql)) ZobrazChyby();
else echo "Účet <b>$KontoAdm</b> s heslem <b>$HesloAdm</b> byl úspěšně založen.
Po dokončení instalace se na tento účet přihlaste a heslo si změňte.";

echo "<h3>Vytváření tabulky bohoslužeb 'missa'</h3>";
flush();sleep(1);
$sql="CREATE TABLE `missa` (
`mid`   SMALLINT UNSIGNED AUTO_INCREMENT COMMENT 'Identifikátor bohoslužby',
`datum` CHAR(8) COMMENT 'Datum yyyymmdd',
`hora`  CHAR(4) COMMENT 'Čas hhmm',
`locus` TINYINT COMMENT 'Index místa konání',
`ritus` TINYINT COMMENT 'Index druhu bohoslužby',
`color` CHAR(1) COMMENT 'Liturgická barva',
`intentio` VARCHAR(255)  COMMENT 'Intence, popis',
`famulus` VARCHAR(255)  COMMENT 'Osoba sloužícího',
`lectio`  VARCHAR(255) COMMENT 'Obsah bohoslužby slova',
`lector1` VARCHAR(255)  COMMENT 'Osoba čtenáře 1.čtení',
`lector2` VARCHAR(255)  COMMENT 'Osoba čtenáře 2.čtení',
`ordinarium` TINYINT COMMENT 'Index ordinaria',
`carmen` VARCHAR(255) COMMENT 'Čísla písní z kancionálu',
`organum` VARCHAR(255) COMMENT 'Osoba varhaníka',
`emendator` VARCHAR(255) COMMENT 'Osoba naposledy upravující tento záznam',
`emendatum` VARCHAR(16) COMMENT 'Datum poslední úpravy záznamu',
PRIMARY KEY (`mid`)
) COMMENT 'Seznam bohoslužeb', ENGINE = myisam;";
mysqli_query($db,$sql); if (ChybaDb($db,$sql)) ZobrazChyby();
else echo "<br/>Tabulka <b>missa</b> byla vytvořena.";


echo "<h3>Vytváření tabulky šablon 'imago'</h3>";
flush();sleep(1);
$sql="CREATE TABLE `imago` (
`iid`   SMALLINT UNSIGNED AUTO_INCREMENT COMMENT 'Identifikátor bohoslužby v šabloně',
`dies`  CHAR(2) COMMENT 'Den v šabloně',
`hora`  CHAR(4) COMMENT 'Čas hhmm',
`locus` TINYINT COMMENT 'Index místa konání',
`ritus` TINYINT COMMENT 'Index druhu bohoslužby',
`famulus` VARCHAR(255)  COMMENT 'Osoba sloužícího',
`lector1` VARCHAR(255)  COMMENT 'Osoba čtenáře 1.čtení',
`lector2` VARCHAR(255)  COMMENT 'Osoba čtenáře 2.čtení',
`organum` VARCHAR(255) COMMENT 'Osoba varhaníka',
`emendator` VARCHAR(255) COMMENT 'Osoba naposledy upravující tento záznam',
`emendatum` VARCHAR(16) COMMENT 'Datum poslední úpravy záznamu',
PRIMARY KEY (`iid`)
) COMMENT 'Šablona týdne', ENGINE = myisam;";
mysqli_query($db,$sql); if (ChybaDb($db,$sql)) ZobrazChyby();
else echo "<br/>Tabulka <b>imago</b> byla vytvořena.";


echo "<h3>Vytváření tabulky deníku 'log'</h3>";
flush();sleep(1);
$sql="CREATE TABLE `log` (
`tempus` INT UNSIGNED COMMENT 'Čas záznamu',
`hid`  VARCHAR(255) COMMENT 'Odpovědná osoba',
`IP`  VARCHAR(16) COMMENT 'IP adresa k hid',
`labor` CHAR(2) COMMENT 'Index typu záznamu',
`id`  VARCHAR(255) COMMENT 'Identifikátor osob(y)',
`text` VARCHAR(4094) COMMENT 'Text vzkazu',
PRIMARY KEY (`tempus`)
) COMMENT 'Deník zásahů', ENGINE = myisam;";
mysqli_query($db,$sql); if (ChybaDb($db,$sql)) ZobrazChyby();
else echo "<br/>Tabulka <b>log</b> byla vytvořena.";

echo "<h3>Zápis o instalaci do deníku</h3>";
$sql="INSERT INTO `log`
(tempus,hid,labor)
VALUES (".time().",'$KontoAdm','RE');";
mysqli_query($db,$sql);if (ChybaDb($db,$sql)) ZobrazChyby();
else echo "Záznam o instalaci byl zapsán do deníku.";


flush();sleep(1);
echo "<h3>Instalace databáze ukončena</h3>
Skript <code>instaluj.php</code> nyní můžete kvůli bezpečnosti
z provozního webového serveru vymazat. 
Pokračujte na <a href='index.php'>výchozí stránce</a> přihlášením,
vytvořením uživatelů a šablony.";
mysqli_close($db); ZobrazPatu();
?>
